# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`btrfsmaintenance`](#btrfsmaintenance): Configures the btrfsmaintenance package in Debian distros

## Classes

### <a name="btrfsmaintenance"></a>`btrfsmaintenance`

Configures the btrfsmaintenance package in Debian distros

#### Parameters

The following parameters are available in the `btrfsmaintenance` class:

* [`log_output`](#-btrfsmaintenance--log_output)
* [`defrag_paths`](#-btrfsmaintenance--defrag_paths)
* [`defrag_period`](#-btrfsmaintenance--defrag_period)
* [`defrag_min_size`](#-btrfsmaintenance--defrag_min_size)
* [`balance_mountpoints`](#-btrfsmaintenance--balance_mountpoints)
* [`balance_period`](#-btrfsmaintenance--balance_period)
* [`balance_musage`](#-btrfsmaintenance--balance_musage)
* [`balance_dusage`](#-btrfsmaintenance--balance_dusage)
* [`scrub_mountpoints`](#-btrfsmaintenance--scrub_mountpoints)
* [`scrub_period`](#-btrfsmaintenance--scrub_period)
* [`scrub_read_only`](#-btrfsmaintenance--scrub_read_only)
* [`trim_period`](#-btrfsmaintenance--trim_period)
* [`trim_mountpoints`](#-btrfsmaintenance--trim_mountpoints)
* [`allow_concurrency`](#-btrfsmaintenance--allow_concurrency)
* [`scrub_priority`](#-btrfsmaintenance--scrub_priority)

##### <a name="-btrfsmaintenance--log_output"></a>`log_output`

Data type: `Enum[none,stdout,journal,syslog]`

Where and how to log messages: none,stdout,journal,syslog

Default value: `"stdout"`

##### <a name="-btrfsmaintenance--defrag_paths"></a>`defrag_paths`

Data type: `Array[Stdlib::Absolutepath]`

Paths to run periodic defrag on. Does not cross subvolumes.

Default value: `[]`

##### <a name="-btrfsmaintenance--defrag_period"></a>`defrag_period`

Data type: `Enum['none','daily','weekly','monthly']`

How often to defrag: none,daily,weekly,monthly

Default value: `"none"`

##### <a name="-btrfsmaintenance--defrag_min_size"></a>`defrag_min_size`

Data type: `Pattern[/^\+\d+[kKmMgGtTpPeE]/]`

Minimal file size to consider for defragmentation

Default value: `"+1M"`

##### <a name="-btrfsmaintenance--balance_mountpoints"></a>`balance_mountpoints`

Data type: `Array[Stdlib::Absolutepath]`

List of mount points to include in periodical balance routine

Default value: `[]`

##### <a name="-btrfsmaintenance--balance_period"></a>`balance_period`

Data type: `Enum['none','daily','weekly','monthly']`

How often to balance: none,daily,weekly,monthly

Default value: `"none"`

##### <a name="-btrfsmaintenance--balance_musage"></a>`balance_musage`

Data type: `Variant[Pattern[/^(\d* *)*$/],Array[Integer]]`

Usage % for balancing metadata or mixed block groups; multiple values for
subsequent runs

Default value: `[5, 20, 40]`

##### <a name="-btrfsmaintenance--balance_dusage"></a>`balance_dusage`

Data type: `Variant[Pattern[/^(\d* *)*$/],Array[Integer]]`

Usage % for balancing data block groups; multiple values for subsequent
runs

Default value: `[5, 10, 20, 40]`

##### <a name="-btrfsmaintenance--scrub_mountpoints"></a>`scrub_mountpoints`

Data type: `Array[Stdlib::Absolutepath]`

List of mountpoints to include in periodical scrub routing

Default value: `[]`

##### <a name="-btrfsmaintenance--scrub_period"></a>`scrub_period`

Data type: `Enum['none','daily','weekly','monthly']`

How often to scrub:

Default value: `"monthly"`

##### <a name="-btrfsmaintenance--scrub_read_only"></a>`scrub_read_only`

Data type: `Boolean`

Read-only means: do not try to fix (if true).

Default value: `false`

##### <a name="-btrfsmaintenance--trim_period"></a>`trim_period`

Data type: `Enum['none','daily','weekly','monthly']`

How often to run fstrim (for SSD disks).

Default value: `"none"`

##### <a name="-btrfsmaintenance--trim_mountpoints"></a>`trim_mountpoints`

Data type: `Variant[Enum["auto"],Stdlib::Absolutepath]`

List of mountpoints to include in periodical fstrim run

Default value: `"/"`

##### <a name="-btrfsmaintenance--allow_concurrency"></a>`allow_concurrency`

Data type: `Boolean`

Allow or disallow running more than one of these maintenance tasks at the
same time

Default value: `false`

##### <a name="-btrfsmaintenance--scrub_priority"></a>`scrub_priority`

Data type: `Enum['idle','normal']`



Default value: `"idle"`

